---
search:
  tags:
    - 商品
    - GET
seo:
  description: >-
    必要なスコープ: products:read。 Reference for the GET /products endpoint in the
    Cozeni 外部 API.
sidebar:
  label: 商品の一覧を取得する
  badge: GET
title: 商品の一覧を取得する
type: openapi-operation
---
必要なスコープ: products:read。

`GET /products`

**Responses**

- `200` — 作成日時・IDの降順。next\_cursorは次の要求へそのまま渡す。
- `400` — invalid\_input。未知フィールド、無効なcursor・入力を含む。
- `401` — unauthorized。失効、期限切れ、環境違いを含む。
- `403` — insufficient\_scope。
- `404` — product\_not\_found / checkout\_link\_not\_found。他人の商品も404。
- `409` — idempotency\_conflict / product\_archived / checkout\_link\_disabled。
- `429` — rate\_limited。
- `500` — internal。
- `503` — unavailable。

Response example, 200:

```json
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "price_jpy": 0,
      "currency": "jpy",
      "recurring_interval": "month",
      "trial_interval": "day",
      "trial_interval_count": 1,
      "access_url": "string",
      "access_type": "page",
      "metadata": {
        "daily_messages": 100,
        "plan": "pro",
        "beta": true
      },
      "description": "string",
      "images": [
        {
          "id": "string",
          "url": "http://example.com",
          "content_type": "string",
          "size_bytes": 0
        }
      ],
      "status": "active",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}
```
